## GtkPlotBubble GtkPlotBubble |

## Functions

GtkWidget * | gtk_plot_bubble_new ()
void | gtk_plot_bubble_show_scale ()
void | gtk_plot_bubble_set_scale_max ()
void | gtk_plot_bubble_set_size_max ()
void | gtk_plot_bubble_set_labels_precision ()
void | gtk_plot_bubble_set_labels_style ()
void | gtk_plot_bubble_set_labels_prefix ()
void | gtk_plot_bubble_set_labels_suffix ()

## Properties

gint | labels-precision | Read / Write
gchar * | labels-prefix | Read / Write
gint | labels-style | Read / Write
gchar * | labels-suffix | Read / Write
gdouble | scale-max | Read / Write
gboolean | show-scale | Read / Write
gint | size-max | Read / Write

## Types and Values

struct | GtkPlotBubble

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkPlotData
                        ╰── GtkPlotBubble

## Implemented Interfaces

GtkPlotBubble implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtkextra.h>

## Description

FIXME:: Need long description.

## Functions

### gtk_plot_bubble_new ()

    GtkWidget *
    gtk_plot_bubble_new (void);

### gtk_plot_bubble_show_scale ()

    void
    gtk_plot_bubble_show_scale (GtkPlotBubble *bubble,
                                gboolean show);

#### Parameters

bubble | a GtkPlotBubble. |

### gtk_plot_bubble_set_scale_max ()

    void
    gtk_plot_bubble_set_scale_max (GtkPlotBubble *bubble,
                                   gdouble scale_max);

#### Parameters

bubble | a GtkPlotBubble. |

### gtk_plot_bubble_set_size_max ()

    void
    gtk_plot_bubble_set_size_max (GtkPlotBubble *bubble,
                                  guint size_max);

#### Parameters

bubble | a GtkPlotBubble. |

### gtk_plot_bubble_set_labels_precision ()

    void
    gtk_plot_bubble_set_labels_precision (GtkPlotBubble *bubble,
                                          gint precision);

#### Parameters

bubble | a GtkPlotBubble. |

### gtk_plot_bubble_set_labels_style ()

    void
    gtk_plot_bubble_set_labels_style (GtkPlotBubble *bubble,
                                      GtkPlotLabelStyle style);

#### Parameters

bubble | a GtkPlotBubble. |

### gtk_plot_bubble_set_labels_prefix ()

    void
    gtk_plot_bubble_set_labels_prefix (GtkPlotBubble *bubble,
                                       const gchar *prefix);

#### Parameters

bubble | a GtkPlotBubble. |

### gtk_plot_bubble_set_labels_suffix ()

    void
    gtk_plot_bubble_set_labels_suffix (GtkPlotBubble *bubble,
                                       const gchar *suffix);

#### Parameters

bubble | a GtkPlotBubble. |

## Types and Values

### struct GtkPlotBubble

    struct GtkPlotBubble;

The GtkPlotBubble struct contains only private data. It should only be accessed through the functions described below.

## Property Details

### The `“labels-precision”` property

      “labels-precision”         gint

Labels Precision.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“labels-prefix”` property

      “labels-prefix”            gchar *

Labels Prefix.

Flags: Read / Write

Default value: NULL

### The `“labels-style”` property

      “labels-style”             gint

Labels Style.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“labels-suffix”` property

      “labels-suffix”            gchar *

Labels Suffix.

Flags: Read / Write

Default value: NULL

### The `“scale-max”` property

      “scale-max”                gdouble

Scale Max.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“show-scale”` property

      “show-scale”               gboolean

Show scale in gradient legend.

Flags: Read / Write

Default value: FALSE

### The `“size-max”` property

      “size-max”                 gint

Size Max.

Flags: Read / Write

Allowed values: >= 0

Default value: 0